<template>
	<div class="col-md-12">
		<ul class="secondary-nav">
			<li :class="{ 'current' : showCurrent == true}">
				<a v-on:click="displayCurrentRides">Current Rides</a></li>
			<li :class="{ 'current' : showPast == true}">
				<a v-on:click="displayPastRides">Past Rides</a></li>
			<li :class="{ 'current' : showOpen == true}">
				<a v-on:click="displayOpenRides">Open Rides</a></li>
		</ul>

		<div class="col-md-12">
			<div v-if="showCurrent">
				<currentrides
						v-bind:rides = "currentRides"
				></currentrides>
				<div v-if="currentRides.length == 0">
					<p> You have no current rides </p>
				</div>
			</div>
			<div v-if="showPast">
				<pastrides
						v-bind:rides = "pastRides">
				</pastrides>
				<div v-if="pastRides.length == 0">
					<p> You have no past rides </p>
				</div>
			</div>

			<div v-if="showOpen">
				<openrides
						v-bind:open = "open">
				</openrides>
				<div v-if="open.length == 0">
					<p> You have no open rides </p>
				</div>
			</div>

		</div>

	</div>
</template>

<script>

	import axios from 'axios';
	import currentrides from "./currentrides";
	import pastrides from "./pastrides";
	import openrides from "./openrides";
	export default {
		name:"Rides",
		props:[],
		components:{currentrides, pastrides, openrides},
		mounted(){
			this.displayCurrentRides();
		},
		data(){
			return{
				currentRides: '',
				pastRides:'',
				open:'',
				showCurrent:true,
				showPast:false,
				showOpen:false,
			}
		},
		methods: {
			displayCurrentRides: function(){
				this.showPast = false;
				this.showOpen = false;
				axios.get('/rides/getCurrentRides', {
					body: {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
					}
				}).then(response => {
					this.currentRides = response.data['data'];

					this.showCurrent = true;
				}).catch(e => {
					console.log(e);

				})
			},
			displayPastRides : function(){
				this.showCurrent = false;
				this.showOpen = false;
				axios.get('/rides/getPastRides', {
					body: {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
					}
				}).then(response => {
					this.pastRides = response.data['data'];

					this.showPast = true;
				}).catch(e => {
					console.log(e);

				})
			},
			displayOpenRides : function(){
				this.showCurrent = false;
				this.showPast = false;
				axios.get('/dashboarduser/openRides', {
					body: {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
					}
				}).then(response => {
					this.open = response['data'];
					console.log(this.open);
					this.showOpen = true;
				}).catch(e => {
					console.log(e);

				})
			},
		}
	}

</script>